.tabs {
  @extend %flexbox;
  @include flex(1);
  @include flex-wrap(wrap);
  background-color: $tabs-bg-color;
  &.tabs-noWrap {
    @include flex-wrap(nowrap);
    overflow-y: auto;
    &::-webkit-scrollbar {
      width: 5px;
      height: 5px;
    }
    &::-webkit-scrollbar-track {
      background: transparent;
    }
    &::-webkit-scrollbar-thumb {
      border-radius: 12px;
      background: rgba(#000,.2);
      &:hover {
        background: rgba(#000,.4);
      }
    }
    &::-webkit-scrollbar-corner {
      background-color: transparent;
    }
  }

  .tab {
    @include justify-content(center);
    @include flex(1);
    color: $tab-color;
    margin: $tab-margin;
    padding: $tab-padding;
    font-weight: $tab-weight;
    border-width: $tab-border-width;
    border-style: $tab-border-style;
    border-color: $tab-border-color;
    border-radius: $tab-radius;
    background-color: $tab-bg-color;
    &.selected {
      color: $tab-selected-color;
      border-bottom: $tab-selected-border-b !important;
      background-color: $tab-selected-bg-color;
    }
    &:hover {
      color: $tab-hover-color;
      border-bottom: $tab-hover-border-b;
      background-color: $tab-hover-bg-color;
    }
  }
}

.tabs-toolbar {
  background-color: $tabs-toolbar-bg-color;
  padding: 10px 0;
  &.tabs-toolbar-sticky {
    position: -webkit-sticky;
    position: sticky;
    z-index: 998;
    top: 65px;
  }
}

.box .tabs-noWrap {
  top: -16px;
  .tabs {
    .tab {
      margin: 0;
      border-bottom: $box-header-border;
    }
  }
  + .box-content {
    // padding-top: 0;
    .tabs-toolbar.tabs-toolbar-sticky {
      top: 34px;
    }
  }
}


.tabs-noWrap {
  @include flex(none);
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 999;
  overflow-x: auto;
  background-color: $mob-tabs-bg-color;
  @include media-breakpoint-down(xs) {
    &::-webkit-scrollbar {
      width: 0;
      height: 0;
      background: transparent;
    }
  }
  @include media-breakpoint-up(sm) {
    &::-webkit-scrollbar {
      width: 6px;
      height: 6px;
    }
    &::-webkit-scrollbar-track {
      background: transparent;
    }
    &::-webkit-scrollbar-thumb {
      border-radius: 12px;
      background: rgba(#000,.2);
      &:hover {
        background: rgba(#000,.4);
        cursor: pointer;
      }
    }
    &::-webkit-scrollbar-corner {
      background-color: transparent;
    }
  }
  .tabs {
    @include flex-wrap(nowrap);
    margin-bottom: 2px;
    @include media-breakpoint-up(sm) {
      margin-bottom: 10px;
    }
    .tab {
      padding: $mob-tabs-tab-padding;
      white-space: nowrap;
    }
  }
}
.mobile-app {
  .tabs-noWrap {
    top: 46px;
  }
}
